Subject: Re: linux-next: build failure after merge of the rtc tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 11 Apr 2017 17:52:20 +1000

Hi Alexandre,

On Tue, 11 Apr 2017 07:55:09 +0200 Alexandre Belloni <[email-masked]> wrote:
>
> On 11/04/2017 at 10:22:38 +1000, Stephen Rothwell wrote:
> > 
> > On Mon, 10 Apr 2017 09:45:45 +0200 Hans de Goede <[email-masked]> wrote:  
> > >
> > > On 10-04-17 08:04, Stephen Rothwell wrote:  
> > > >
> > > > After merging the rtc tree, today's linux-next build (x86_64 allmodconfig)
> > > > failed like this:
> > > >
> > > > ERROR: "legacy_pic" [drivers/rtc/rtc-cmos.ko] undefined!
> > > >
> > > > Caused by commit
> > > >
> > > >   d3e3a65c6a96 ("rtc: cmos: Do not assume irq 8 for rtc when there are no legacy irqs")
> > > >
> > > > "legacy_pic" is not exported to modules.
> > > >
> > > > I have used the rtc tree from next-20170407 for today.    
> > > 
> > > I already send out a patch to fix this yesterday. I've attached a copy.  
> > 
> > I will add that to linux-next today and will drop it when Alexandre
> > adds it (or some other fix).
> 
> I think the x86 maintainers will take it as it is fairly independent.

But it is a fix for a build failure caused by a commit in your tree ...
so you should probably get an ack from the x86 maintainers and add it
to your tree.  Or do some other fix in your tree.

-- 
Cheers,
Stephen Rothwell